from django.urls import path

from . import views

urlpatterns = [
    path('', views.albums, name='index'),
    path('register', views.register, name='register'),
    path('add', views.add_album, name='add_album'),
    path('album/<int:album_id>', views.photos, name='album'),
    path('album/<int:album_id>/edit', views.edit_album, name='edit_album'),
    path('album/<int:album_id>/delete', views.delete_album, name='delete_album'),
    path('album/<int:album_id>/photo/<int:photo_id>', views.photo, name='photo'),
    path('album/<int:album_id>/photo/<int:photo_id>/edit', views.edit_photo, name='edit_photo'),
    path('album/<int:album_id>/photo/<int:photo_id>/delete', views.delete_photo, name='delete_photo'),
    path('album/<int:album_id>/add', views.add_photo, name='add_photo'),
]